#ifndef MOUSEAPIEXAMPLE_H
#define MOUSEAPIEXAMPLE_H

#include "OrxonoxPrereqs.h"
#include "core/XMLPort.h"
#include "mouseapi.h"
#include "util/output/OutputManager.h"
#include "util/output/ConsoleWriter.h"
#include "worldentities/ControllableEntity.h"
#include "core/CoreIncludes.h"

namespace orxonox
{
class MouseAPIExample : public ControllableEntity
{
public:
    MouseAPIExample(Context *context);
    ~MouseAPIExample();
    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
    void testfunction(MouseButtonCode::ByEnum mouse);
    virtual void tick(float dt) override;
};
}
#endif // MOUSEAPIEXAMPLE_H
